USE [master]
GO
IF NOT EXISTS (SELECT name FROM master.dbo.sysdatabases WHERE name = N'LocalizationDemo')
BEGIN
CREATE DATABASE [LocalizationDemo] ON  PRIMARY 
( NAME = N'LocalizationDemo', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL.1\MSSQL\DATA\LocalizationDemo.mdf' , SIZE = 2240KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'LocalizationDemo_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL.1\MSSQL\DATA\LocalizationDemo_log.LDF' , SIZE = 560KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
END

GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [LocalizationDemo].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [LocalizationDemo] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [LocalizationDemo] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [LocalizationDemo] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [LocalizationDemo] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [LocalizationDemo] SET ARITHABORT OFF 
GO
ALTER DATABASE [LocalizationDemo] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [LocalizationDemo] SET AUTO_CREATE_STATISTICS ON 
GO
ALTER DATABASE [LocalizationDemo] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [LocalizationDemo] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [LocalizationDemo] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [LocalizationDemo] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [LocalizationDemo] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [LocalizationDemo] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [LocalizationDemo] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [LocalizationDemo] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [LocalizationDemo] SET  READ_WRITE 
GO
ALTER DATABASE [LocalizationDemo] SET RECOVERY FULL 
GO
ALTER DATABASE [LocalizationDemo] SET  MULTI_USER 
GO
if ( ((@@microsoftversion / power(2, 24) = 8) and (@@microsoftversion & 0xffff >= 760)) or 
		(@@microsoftversion / power(2, 24) >= 9) )begin 
	exec dbo.sp_dboption @dbname =  N'LocalizationDemo', @optname = 'db chaining', @optvalue = 'OFF'
 end
USE [LocalizationDemo]
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[Language]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[Language](
	[LangId] [int] IDENTITY(1,1) NOT NULL,
	[LangName] [nvarchar](50) NOT NULL,
	[Culture] [nvarchar](50) NULL,
 CONSTRAINT [PK_Language] PRIMARY KEY CLUSTERED 
(
	[LangId] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[Users]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[Users](
	[UserId] [int] IDENTITY(1,1) NOT NULL,
	[UserName] [nvarchar](50) NOT NULL,
	[LastVisitTime] [datetime] NULL,
	[LangId] [int] NULL,
 CONSTRAINT [PK_Users] PRIMARY KEY CLUSTERED 
(
	[UserId] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_Users_Language]') AND type = 'F')
ALTER TABLE [dbo].[Users]  WITH CHECK ADD  CONSTRAINT [FK_Users_Language] FOREIGN KEY([LangId])
REFERENCES [dbo].[Language] ([LangId])
GO
ALTER TABLE [dbo].[Users] CHECK CONSTRAINT [FK_Users_Language]
